Navigation

MongoDB Enterprise Kubernetes Operator Compatibility

Kubernetes and OpenShift Versions

The Kubernetes Operator is compatible with the following Kubernetes and OpenShift versions. Unless otherwise noted, each Kubernetes Operator version listed spans the full release series starting from the listed version.

Kubernetes Operator Release Series Kubernetes Version OpenShift Version
1.18.x 1.22, 1.23, 1.24 4.6 EUS, 4.9-4.11
1.17.x 1.21, 1.22, 1.23 4.6 EUS, 4.8-4.10
1.16.1+ 1.21, 1.22, 1.23 4.6 EUS, 4.8-4.10
1.16.0 1.21, 1.22, 1.23 4.9

Other Distributions of Kubernetes

The Kubernetes Operator is also compatible with all CNCF-certified distributions of Kubernetes and core Kubernetes features. The distribution version must match one of the base Kubernetes versions supported by the Kubernetes Operator.

To learn which Kubernetes versions are supported by your Kubernetes Operator series, see the preceding version table.

Supported Platforms and MongoDB Versions

The Kubernetes Operator is compatible with different versions of MongoDB depending on the base image of the MongoDB database resource.

The Kubernetes Operator is compatible with actively supported versions of MongoDB.

The Kubernetes Operator isn’t compatible with MongoDB versions that have reached end of life, or that are listed on the MongoDB Alerts page. To learn more about which MongoDB versions your base image supports, see Platform Support in the MongoDB Manual.

Unless otherwise noted, each Kubernetes Operator version listed spans the full release series starting from the listed version.

Important

Starting with the Kubernetes Operator 1.17 release, Ubuntu base images are deprecated and will be removed in the Kubernetes Operator 1.19 release.

MongoDB will continue to support the Red Hat UBI 8 base images.

To provide feedback about this change, use the MongoDB Feedback Engine.

Kubernetes Operator Release Series Base Image
1.18.x Ubuntu 20.04 (deprecated), Red Hat UBI 8 Base Image
1.17.x Ubuntu 20.04 (deprecated), Red Hat UBI 8 Base Image
1.16.x Ubuntu 20.04, Red Hat UBI 8 Base Image

Supported Hardware Architectures

Kubernetes nodes must be running processors with the x86-64/AMD64 architecture.

Cloud Manager and Ops Manager Versions

The Kubernetes Operator is compatible with Cloud Manager and with the following Ops Manager versions.

Unless otherwise noted, each Kubernetes Operator version listed spans the full release series starting from the listed version.

Kubernetes Operator Release Series Ops Manager Version
1.18.x 5.0, 6.0
1.17.x 5.0, 6.0
1.16.x 5.0